### Class

# EDataServer MsOapxbc

#### Description

    final class EDataServer.MsOapxbc : GObject.Object
    {
      /* No available fields */
    }

No description available.

#### Hierarchy

#### Ancestors

- GObject

#### Constructors

###### e_ms_oapxbc_new_sync

Synchronously create a new `EMsOapxbc`. This initiates the communication with a locally running Microsoft Identity broker service via D-Bus. In case the broker is not running, it is started. If no broker is registered, this function will fail (return `NULL`).

since: 3.54

#### Instance methods

###### e_ms_oapxbc_acquire_prt_sso_cookie_sync

Synchronously calls acquirePrtSsoCookie() D-Bus method on the Microsoft OAuth2 broker service and converts the result into a new `SoupCookie`. The account object needs to be taken from the accounts list that is returned by e_ms_oapxbc_get_accounts_sync(). The SSO URL is the OAuth2 authentication endpoint. The scopes are the requested scopes for the OAuth2 service (usually only https://graph.microsoft.com/.default). The redirect URI is the OAuth2 service redirect URI.

since: 3.54

###### e_ms_oapxbc_get_accounts_sync

Synchronously calls getAccounts() D-Bus method on the Microsoft OAuth2 broker service and returns the result as a `JsonObject`.

since: 3.54

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct EDataServerMsOapxbcClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.